### Method

# Gdk FrameClockget_frame_time

#### Declaration [src]

    gint64
    gdk_frame_clock_get_frame_time (
      GdkFrameClock* frame_clock
    )

#### Description [src]

Gets the time that should currently be used for animations.

Inside the processing of a frame, it’s the time used to compute the animation position of everything in a frame. Outside of a frame, it’s the time of the conceptual “previous frame,” which may be either the actual previous frame time, or if that’s too old, an updated time.

#### Return value

Type: `gint64`

A timestamp in microseconds, in the timescale of of g_get_monotonic_time().